Skip to main content
All API endpoints require authentication using API Keys. To authenticate your requests:

API Keys

  1. Obtain your API Key from the API Integration Settings page.
  2. Include this key in the X-Api-Key header of your HTTP request:
X-Api-Key: {volubile-api-key}

API Key Rotation

Volubile provides a pair of api keys enabling you to manage a regular rotation or replace a potentially compromised key.

Bearer Tokens

Volubile also provides short lived JWT Bearer tokens. This flow is useful when you do not want to expose your API key to downstream services and when you want to limit the permissions granted to a client with scoped access.

Issue a token

Use your API key to request a Bearer token from POST /v1/auth/token. For the full request and response reference, see Create Token.

Supported scopes

Agents
MethodRouteScope
GET/v1/agentsagents:read
GET/v1/agents/idagents:read
PATCH/v1/agents/idagents:write
Calls
MethodRouteScope
GET/v1/callscalls:read
GET/v1/calls/idcalls:read
POST/v1/callscalls:write
GET/v1/calls/id/recordingcalls:read
GET/v1/calls/id/transcriptcalls:read
Campaigns
MethodRouteScope
GET/v1/campaigns/idcampaigns:read
POST/v1/campaignscampaigns:write
POST/v1/campaigns/id/statuscampaigns:write
Bulk
MethodRouteScope
POST/v1/bulk/callscalls:write

Use a Bearer token

Send the issued token in the Authorization header:
Authorization: Bearer {jwt-bearer-token}
Bearer tokens are short lived and scoped to the permissions requested when they are issued.
Bearer tokens cannot be used to mint another token. Only API keys can call POST /v1/auth/token.